## com.baidubce.services.bmr.model
Class StreamingStepConfig

    java.lang.Object
      com.baidubce.services.bmr.model.StepConfig
          com.baidubce.services.bmr.model.StreamingStepConfig

    public class StreamingStepConfig

extends StepConfig

Represent configuration for a streaming step. A streaming step can be configured with name, actionOnFailure, mapper, reducer, input, output and arguments. The essential options are mapper, input, output and actionOnFailure, and the optional ones are name, reducer and arguments.

Constructor Summary
`StreamingStepConfig()`

Method Summary
`StreamingStepConfig` `withActionOnFailure(String actionOnFailure)` Configure the action on failure for the streaming step.
`StreamingStepConfig` `withArguments(String arguments)` Configure the arguments for the step.
`StreamingStepConfig` `withInput(String input)` Configure the input for the step.
`StreamingStepConfig` `withMapper(String mapper)` Configure the mapper program for the step.
`StreamingStepConfig` `withName(String name)` Configure the name for the step.
`StreamingStepConfig` `withOutput(String output)` Configure the output for the step.
`StreamingStepConfig` `withReducer(String reducer)` Configure the reducer program for the step.

Methods inherited from class com.baidubce.services.bmr.model.StepConfig
`addProperty, getActionOnFailure, getName, getProperties, getType, setActionOnFailure, setName, setProperties, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamingStepConfig

    public StreamingStepConfig()

Method Detail

### withInput

    public StreamingStepConfig withInput(String input)

  Configure the input for the step.

  Parameters:
    `input` - The input path for the step.
  Returns:
    StreamingStepConfig

### withMapper

    public StreamingStepConfig withMapper(String mapper)

  Configure the mapper program for the step.

  Parameters:
    `mapper` - The mapper program for the step.
  Returns:
    StreamingStepConfig

### withOutput

    public StreamingStepConfig withOutput(String output)

  Configure the output for the step.

  Parameters:
    `output` - The output path for the step.
  Returns:
    StreamingStepConfig

### withArguments

    public StreamingStepConfig withArguments(String arguments)

  Configure the arguments for the step.

  Parameters:
    `arguments` - The arguments for the step.
  Returns:
    StreamingStepConfig

### withReducer

    public StreamingStepConfig withReducer(String reducer)

  Configure the reducer program for the step.

  Parameters:
    `reducer` - The reducer program for the step.
  Returns:
    StreamingStepConfig

### withName

    public StreamingStepConfig withName(String name)

  Configure the name for the step.

  Parameters:
    `name` - The name for the step.
  Returns:
    StreamingStepConfig

### withActionOnFailure

    public StreamingStepConfig withActionOnFailure(String actionOnFailure)

  Configure the action on failure for the streaming step. This property is set to enum value: "Continue": continue to execute other steps. "TerminateCluster": terminate the cluster when this step fails. "CancelAndWait": cancel the other pending steps and set the cluster's status to WAITING.

  Parameters:
    `actionOnFailure` - The action on step's failure.
  Returns:
    StreamingStepConfig

Copyright © 2016. All rights reserved.